#include <bits/stdc++.h>
using namespace std;

void Print_maze_path(int source_row, int source_column, int destination_row, int destination_column, string print_so_far){
    if (source_row > destination_row || source_column > destination_column)
    {
        /* code */
        return;
    }
    if (source_row == destination_row && source_column == destination_column)
    {
        /* code */
        cout<<print_so_far<<endl;
        return;
    }
    Print_maze_path(source_row, source_column + 1, destination_row, destination_column, print_so_far + 'h');
    Print_maze_path(source_row + 1, source_column, destination_row, destination_column, print_so_far + 'v');
}
int main(){
    int row, column;
    cin>>row>>column;
    Print_maze_path(1, 1, row, column, "");
    return 0;
}